summaryrefslogtreecommitdiffstats
path: root/src/ob-unpacksource.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/ob-unpacksource.sh')
-rw-r--r--src/ob-unpacksource.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/src/ob-unpacksource.sh b/src/ob-unpacksource.sh
index fe53db9..59e1307 100644
--- a/src/ob-unpacksource.sh
+++ b/src/ob-unpacksource.sh
@@ -92,7 +92,7 @@ get_upstream_dir()
{
local dir_count=
- upstream_ar_dir="$(tar "-t${upstream_ar_z}f" "${upstream_ar}" | \
+ upstream_ar_dir="$(${TAR} "-t${upstream_ar_z}f" "${upstream_ar}" | \
sed -n 's|^\(\./\)\{0,1\}\([^/]\{1,\}\).*$|\2|p' | sort | uniq)"
dir_count="$(printf '%s\n' "${upstream_ar_dir}" | wc -l)"
case "${dir_count}" in
@@ -112,7 +112,7 @@ get_upstream_dir()
extract_upstream()
{
ob_info "$(ob_get_msg 'unpacking_upstream')"
- if ! tar "-x${upstream_ar_z}f" "${upstream_ar}"; then
+ if ! ${TAR} "-x${upstream_ar_z}f" "${upstream_ar}"; then
ob_error "$(ob_get_msg 'cant_unpack_upstream')"
return 1
fi